# wxGraphicsObject Class Reference
[Graphics Device Interface (GDI)]

`#include </home/work/projects/wx/2.9/wx/interface/wx/graphics.h>`

Inheritance diagram for wxGraphicsObject:
[legend]

## Detailed Description

This class is the superclass of native graphics objects like pens etc.

It allows reference counting. Not instantiated by user code.

##

Library: wxCore
Category: Graphics Device Interface (GDI)

See also:
  wxGraphicsBrush, wxGraphicsPen, wxGraphicsMatrix, wxGraphicsPath

## Public Member Functions

wxGraphicsRenderer * | GetRenderer () const
| Returns the renderer that was used to create this instance, or NULL if it has not been initialized yet.
bool | IsNull () const

List of all members.

## Member Function Documentation

wxGraphicsRenderer* wxGraphicsObject::GetRenderer | ( |  | ) | const

Returns the renderer that was used to create this instance, or NULL if it has not been initialized yet.

bool wxGraphicsObject::IsNull | ( |  | ) | const

Returns:
  false if this object is valid, otherwise returns true.

|  | [ top ]